
import Constants from './constants.jsx';

class Localization { 

    constructor() {
        // localization
        this.resources = {
            // swedish
            sv: {
                locale: "sv-SE",
                /* db types */
                "db_continent": "Världsdel",
                "db_country": "Land",
                "db_driving-licence": "Körkort",
                "db_driving-licence-combination": "Körkorts-kombination",
                "db_employment-duration": "Anställningsvaraktighet",
                "db_employment-type": "Anställningsform",
                "db_isco-level-1": "ISCO nivå 1",
                "db_isco-level-4": "ISCO nivå 4",
                "db_keyword": "Sökbegrepp",
                "db_language": "Språk",
                "db_language-level": "Språknivå",
                "db_municipality": "Kommun",
                "db_occupation-collection": "Yrkessamling",
                "db_occupation-field": "Yrkesområde",
                "db_occupation-name": "Yrkesbenämning",
                "db_occupation-experience-year": "Tid i yrke",
                "db_region": "EU-Region",
                "db_skill": "Kompetensbegrepp",
                "db_skill-headline": "Kompetensbegrepp",
                "db_skill-collection": "Kompetenssamlingar",
                "db_sni": "SNI",
                "db_sni-level-1": "SNI nivå 1",
                "db_sni-level-2": "SNI nivå 2",
                "db_sni-level-3": "SNI nivå 3",
                "db_sni-level-4": "SNI nivå 4",
                "db_sni-level-5": "SNI nivå 5",
                "db_ssyk": "SSYK",
                "db_ssyk-level-1": "SSYK nivå 1",
                "db_ssyk-level-2": "SSYK nivå 2",
                "db_ssyk-level-3": "SSYK nivå 3",
                "db_ssyk-level-4": "SSYK nivå 4",
                "db_sun-education-field": "Utbildningsriktning",
                "db_sun-education-field-1": "Utbildningsinriktning nivå 1",
                "db_sun-education-field-2": "Utbildningsinriktning nivå 2",
                "db_sun-education-field-3": "Utbildningsinriktning nivå 3",
                "db_sun-education-field-4": "Utbildningsinriktning nivå 4",
                "db_sun-education-level": "Utbildningsnivå",
                "db_sun-education-level-1": "Utbildningsnivå nivå 1",
                "db_sun-education-level-2": "Utbildningsnivå nivå 2",
                "db_sun-education-level-3": "Utbildningsnivå nivå 3",
                "db_employment-variety": "Anställningsvariation",
                "db_self-employment-type": "Annan sysselsättningsform",
                "db_unemployment-fund": "A-kassa",
                "db_unemployment-type": "Sökandekategorier (SKAT)",
                "db_wage-type": "Löneform",
                "db_worktime-extent": "Arbetstid",
                "db_occupation-type": "Sysselsättningsform",
                "db_swedish-retail-and-wholesale-council-skill": "Handelsrådets kompetenser",
                "db_esco-occupation": "ESCO-yrke",
                "db_esco-skill": "ESCO-kompetens",
                "db_forecast-occupation": "Prognosyrken",
                "db_barometer-occupation": "Yrken i yrkesbarometern",
                "db_work-place-environment": "Arbetsplatsförhållanden",
                "db_occupation": "Yrke",
                "db_job-title": "Jobbtitel",
                "db_generic-skill": "Generell kompetens",
                "db_skill-group": "Kompetensgrupp",
                "db_generic-skill-group": "Underkategori",
                /* properties */
                "concept/definition": "Definition",
                "concept/id": "Id",
                "concept/preferredLabel": "Namn",
                "concept/type": "Värdeförråd",
                "concept/sort-order": "Sorteringsordning",
                "concept.external-database.ams-taxonomy-67/id": "Externt id",
                "concept.external-standard/ssyk-code-2012": "SSYK 2012",
                "concept.external-standard/nuts-level-3-code-2013": "NUTS nivå 3",
                "concept.external-standard/isco-code-08": "ISCO 08",
                "concept.external-standard/lau-2-code-2015": "LAU 2 2015",
                "concept.external-standard/driving-licence-code-2013": "Körkortskod 2013", 
                "concept.external-standard/implicit-driving-licences": "Implicit körkort",
                "concept.external-standard/iso-3166-1-alpha-3-2013": "ISO-3166-1 alpha 3",
                "concept.external-standard/iso-3166-1-alpha-2-2013": "ISO-3166-1 alpha 2",
                "concept.external-standard/sni-level-code-2007": "SNI nivå 2007",
                "concept.external-standard/iso-639-3-alpha-2-2007": "ISO-639-3 alpha 2",
                "concept.external-standard/iso-639-3-alpha-3-2007": "ISO-639-3 alpha 3",
                "concept.external-standard/sun-education-field-code-2020": "Utbildningsinriktning",
                "concept.external-standard/sun-education-level-code-2020": "Utbildningsnivå",                
                /* actions */
                CREATED: "Skapad",
                UPDATED: "Uppdaterad",
                DEPRECATED: "Avaktualiserad",
                COMMENTED: "Anteckning",
                /* regular words */  
                exact_match_concept: "Motsvarande",
                broad_match_concept: "Mer generell",
                narrow_match_concept: "Mer specialiserad",
                close_match_concept: "Snarlik",
                exact_match_occupation: "Motsvarar ESCO-yrke",
                broad_match_occupation: "Mer generellt ESCO-yrke",
                narrow_match_occupation: "Mer specialiserat ESCO-yrke",
                close_match_occupation: "Snarlikt ESCO-yrke",
                mapping_relations: "Mappningsrelationer",
                occupations: "Yrken",
                employment_types: "Anställningsformer",
                education: "Utbildning",
                iso_639_3_alpha_3_2007: "ISO 639-2 Kod",
                iso_639_3_alpha_2_2007: "ISO 639-1 Kod",
                lau_2_code_2015: "Kommunkod",
                sun_education_field_code_2020: "SUN-kod",
                sun_education_level_code_2020: "SUN-kod",
                sni_level_code_2007: "SNI-kod",
                nuts_level_3_code_2013: "NUTS nivå 3 kod",
                nuts_level_3_code_2021: "NUTS nivå 3 kod",
                national_nuts_level_3_code_2019: "Länskod",
                "occupation_type": "Sysselsättningsform",
                "occupation-name": "Yrkesbenämning",
                "occupation-field": "Yrkesområde",
                copy: "Kopiera",
                download_image: "Ladda ner bild",
                clipboard_update_success: "Kopierat till urklipp!",
                clipboard_update_failure: "ERROR: Mysslyckades kopiera till urklipp!",
                node_view: "Nod-vy",
                node_description: "Utforska taxonomin med en dynamisk nod-vy",
                node_indepth_description: "Den interaktiva grafen nedan ger en inblick i det komplexa nätverk som taxonomi-strukturen består av.",
                node_tip_1: "- Klicka på en vitt nod för att expandera den och se dess kopplingar",
                node_tip_2: "- Klicka och drag noder",
                node_tip_3: "- Zooma in och ut",
                autocomplete: "Automatiska sökförslag",
                autocomplete_description: "Sök i taxonomin med hjälp av automatiska sökförslag",
                autocomplete_row_1: "Taxonomy-apiet tillhandahåller en hjälpfunktion för att underlätta sökandet.",
                autocomplete_row_2: "Prova t.ex. att skriva \"adv\" för att se bland annat \"Advokater\".",
                autocomplete_row_3: "Sökningen måste innehålla minst tre tecken.",
                taxonomy: "Taxanomi",
                taxonomy_description: "Taxanomi beskrivning",
                taxonomy_item_definition: "Definition",
                taxonomy_item_skills: "Kompetensbegrepp kopplade till yrkesgruppen",
                taxonomy_item_substitutes: "Besläktade yrken",
                taxonomy_item_keyword_substitues: "Yrkesbenämningar kopplade till sökordet",
                taxonomy_item_keywords: "Sökord",
                taxonomy_item_job_titles: "Jobbtitlar",
                taxonomy_item_related_occupations: "Besläktade yrken",
                taxonomy_item_skill_relations: "Yrkesgrupper kopplade till kompetensbegreppet",
                taxonomy_item_skill_collections: "Tillhör kompetenssamling",
                taxonomy_feedback_content: "Lämna förslag på innehåll",
                taxonomy_feedback_suggestion: "Vi tar gärna emot dina synpunter om\nJobTech Atlas",
                taxonomy_contact_forum: "Kontakta oss via vårt forum",
                taxonomy_contact_email: "Maila till oss",
                ssyk_code: "SSYK-kod",
                isco_code: "ISCO-kod",
                occupations_ssyk: "Yrkesbenämningar (SSYK)",
                occupations_isco: "Yrkesbenämningar (ISCO)",
                skills: "Kompetensbegrepp",
                generic_skills: "Generella kompetenser",
                occupation_structure: "Samtliga SSYK-nivåer",
                occupation_groups: "Yrkesgrupper",
                occupation_only: "Yrkesbenämningar",
                occupation_fields: "Yrkesområden",
                occupation_group: "Yrkesgrupp",
                occupation_field: "Yrkesområde",
                occupation_description: "Arbetsbeskrivningar",
                concept: "Koncept",
                concept_info: "Om begreppet",
                concept_type: "Typ av begrepp",
                description: "Definition",
                autocomplete_placeholder: "Sök i hela databasen",
                autocomplete_placeholder_version: "Sök i version",
                feedback_work_form_name_suggestion: "Förslag på yrkesbenämning",
                feedback_work_form_task_suggestion: "Vilka arbetsuppgifter är relevanta för yrket?",
                feedback_work_form_skill_suggestion: "Efterfrågad utbilding och/eller kompetens",
                feedback_work_form_group_suggestion: "Förslag på SSYK-yrkesgrupp som yrkesbenämningen ska kopplas till",
                feedback_skill_form_name_suggestion: "Förslag på kompetensord",
                feedback_skill_form_desc_suggestion: "Kort beskrivning av kompetensordet",
                feedback_skill_form_headline_suggestion: "I vilka yrken är kompetensbegreppet relevant?",
                feedback_other_text: "Beskriv ditt förlsag",
                feedback_other: "Övrigt",
                feedback_occupation: "Yrkesbenämning",
                feedback_skill: "Kompetensbegrepp",
                feedback_something_else: "Annat",
                show: "Visa",
                link: "Länk",
                send: "Skicka",
                loading: "Laddar",
                explore: "Utforska",
                versions: "Versioner",
                version: "Version",
                export: "Exportera",
                about: "Om",
                yes: "Ja",
                no: "Nej",
                goto: "Vill du gå vidare till",
                saving: "Sparar",
                exporting: "Exporterar",
                other: "Övriga",
                something_else: "Annat",
                geography: "Geografi",
                industry: "Näringsgrenar",
                education: "Utbildning",
                type: "Typ",
                action: "Åtgärd",
                name: "Namn",
                date: "Datum",
                filter: "Filtrera",
                changes: "Ändringar",
                show_info: "Visa info",
                relation_type: "Relationstyp",
                relation: "Relation",
                close: "Stäng",
                id: "Id",
                definition: "Definition",
                occupation_definition: "Definition för yrkesgruppen",
                preferredLabel: "Namn",
                alternativeLabels: "Alternativa benämningar",
                from: "Från",
                from_id: "Från Id",
                from_type: "Från typ",
                to: "Till",
                to_id: "Till Id",
                to_type: "Till typ",
                action_type: "Typ av händelse",
                concept_reactivated: "Återaktualiserad",
                version_info_title: "Information om händelse",
                high_substitutability: "Högt släktskap",
                low_substitutability: "Lägre släktskap",
                alt_arbetsformedlingen: "Besök Arbetsförmedlingens hemsida",
                alt_jobtech_facebook: "Besök Jobtechs Facebook",
                alt_jobtech_twitter: "Besök Jobtechs Twitter",
                alt_jobtech_linkedin: "Besök Jobtechs LinkedIn",
                alt_homepage: "Gå till start sidan",
                alt_feedback: "Öppna återkopplings-formulär",
                alt_gitlab: "Besök JobTech Atlas Gitlab",
                language: "Applikationsspråk",
                sub_title: "Gemensamt språk för arbetsmarknaden",
                more_info: "Visa mer information",
                belongs_to_occupation: "Tillhör yrkesgruppen",
                links: "Länkar",
                more_relations: "Relationer",
                landingpage: "Landingssida",
                about: "Om",
                about_content: "JobTech Atlas ska spegla det gemensamma språket för arbetsmarknaden och som är tänkt att underlätta matchning mellan lediga jobb och arbetssökande.\n\nUtöver ett antal standarder finns det också ett stort antal sökbegrepp som arbetsgivare och arbetssökande använder samt kopplingar mellan yrken.",
                relation_info_related: "Besläktade yrken, eller benämningssläktskap beskriver närheten mellan två yrkesbenämningar. Relationen kan vara antingen hög(75) eller låg(25).\n\nDe två nivåerna för benämningssläktsakpen är:\n\n-Hög(eller 75%): mycket nära besläktade med stor likhet i arbetsuppgifterna\n\n-Lägre(eller 25%): några av arbetsuppgifterna är liknande och/eller någon form av utbildningsinsats kan behövas för att man ska fungera i yrkesrollen",
            },
            // english
            en: {
                locale: "en-GB",
                /* db types */
                "db_continent": "Continent",
                "db_country": "Country",
                "db_driving-licence": "Driving licence",
                "db_driving-licence-combination": "Driving licence combination",
                "db_employment-duration": "Employment duration",
                "db_employment-type": "Employment type",
                "db_isco-level-1": "ISCO level 1",
                "db_isco-level-4": "ISCO level 4",
                "db_keyword": "Keyword",
                "db_language": "Language",
                "db_language-level": "Language level",
                "db_municipality": "Municipality",
                "db_occupation-collection": "Occupation collection",
                "db_occupation-field": "Occuption field",
                "db_occupation-name": "Occupation name",
                "db_occupation-experience-year": "Occupation experience",
                "db_region": "Region",
                "db_skill": "Skill",
                "db_skill-headline": "Skill headline",
                "db_skill-collection": "Skill collections",
                "db_sni": "SNI",
                "db_sni-level-1": "SNI level 1",
                "db_sni-level-2": "SNI level 2",
                "db_sni-level-3": "SNI level 3",
                "db_sni-level-4": "SNI level 4",
                "db_sni-level-5": "SNI level 5",
                "db_ssyk": "SSYK",
                "db_ssyk-level-1": "SSYK level 1",
                "db_ssyk-level-2": "SSYK level 2",
                "db_ssyk-level-3": "SSYK level 3",
                "db_ssyk-level-4": "SSYK level 4",
                "db_sun-education-field": "Education field",
                "db_sun-education-field-1": "Education field level 1",
                "db_sun-education-field-2": "Education field level 2",
                "db_sun-education-field-3": "Education field level 3",
                "db_sun-education-field-4": "Education field level 4",
                "db_sun-education-level": "Education level",
                "db_sun-education-level-1": "Education level 1",
                "db_sun-education-level-2": "Education level 2",
                "db_sun-education-level-3": "Education level 3",
                "db_employment-variety": "Employment variety",
                "db_self-employment-type": "Self employment type",
                "db_unemployment-fund": "Unemployment found",
                "db_unemployment-type": "Search categories (SKAT)",
                "db_wage-type": "Wage type",
                "db_occupation-type": "Occupation type",
                "db_worktime-extent": "Worktime extent",
                "db_swedish-retail-and-wholesale-council-skill": "Chamber of Commerce skills",
                "db_esco-occupation": "ESCO occupation",
                "db_esco-skill": "ESCO skill",
                "db_forecast-occupation": "Forecast occupations",
                "db_barometer-occupation": "Barometer occupations", 
                "db_work-place-environment": "Workplace environment",
                "db_occupation": "Occupation",
                "db_job-title": "Job title",
                "db_generic-skill": "Generic skill",
                "db_skill-group": "Skill group",
                "db_generic-skill-group": "Generic skill group",
                /* properties */
                "concept/definition": "Definition",
                "concept/id": "Id",
                "concept/preferredLabel": "Name",
                "concept/type": "Type",
                "concept/sort-order": "Sort order",
                "concept.external-database.ams-taxonomy-67/id": "External id",
                "concept.external-standard/ssyk-code-2012": "SSYK 2012",
                "concept.external-standard/nuts-level-3-code-2013": "NUTS level 3",
                "concept.external-standard/isco-code-08": "ISCO 08",
                "concept.external-standard/lau-2-code-2015": "LAU 2 2015",
                "concept.external-standard/driving-licence-code-2013": "Driving licence code 2013", 
                "concept.external-standard/implicit-driving-licences": "Implicit driving licence",
                "concept.external-standard/iso-3166-1-alpha-3-2013": "ISO-3166-1 alpha 3",
                "concept.external-standard/iso-3166-1-alpha-2-2013": "ISO-3166-1 alpha 2",
                "concept.external-standard/sni-level-code-2007": "SNI level 2007",
                "concept.external-standard/iso-639-3-alpha-2-2007": "ISO-639-3 alpha 2",
                "concept.external-standard/iso-639-3-alpha-3-2007": "ISO-639-3 alpha 3",
                "concept.external-standard/sun-education-field-code-2020": "Education field code",
                "concept.external-standard/sun-education-level-code-2020": "Education level code",                
                /* actions */
                CREATED: "Created",
                UPDATED: "Updated",
                DEPRECATED: "Deprecated",
                COMMENTED: "Commented",
                /* regular words */   
                exact_match_concept: "Motsvarar",
                broad_match_concept: "General",
                narrow_match_concept: "Specialized",
                close_match_concept: "Similar",
                exact_match_occupation: "Exact ESCO occupation",
                broad_match_occupation: "General ESCO occupation",
                narrow_match_occupation: "Specialized ESCO occupation",
                close_match_occupation: "Similar ESCO occupation",
                mapping_relations: "Mapping relations",   
                occupations: "Occupations",
                employment_types: "Employment Types",
                education: "Education",
                iso_639_3_alpha_3_2007: "ISO 639-2 code",
                iso_639_3_alpha_2_2007: "ISO 639-1 code",
                lau_2_code_2015: "LAU 2 code",
                sun_education_field_code_2020: "SUN-code",
                sun_education_level_code_2020: "SUN-code",
                sni_level_code_2007: "SNI-code",
                nuts_level_3_code_2013: "NUTS level 3 code",
                nuts_level_3_code_2021: "NUTS level 3 code",
                national_nuts_level_3_code_2019: "Municipality code",
                "occupation_type": "Occupation type",    
                "occupation-name": "Occupation name",
                "occupation-field": "Occupation field",
                copy: "Copy",
                download_image: "Download image",
                clipboard_update_success: "Clipboard updated!",
                clipboard_update_failure: "ERROR: Failed to update clipboard!",
                node_view: "Node view",
                node_description: "Explore the taxonomy with the dynamic node view",
                node_indepth_description: "The interactive graph view below gives a small glimps into the complex structure of the taxonomy-data.",
                node_tip_1: "- Click a white node to expand it and see its connection",
                node_tip_2: "- Click and drag nodes",
                node_tip_3: "- Zoom in and out",
                autocomplete: "Autocomplete",
                autocomplete_description: "Search the taxonomy-data with the help of autocomplete",
                autocomplete_row_1: "The taxonomy-api provides an autocomplete function, allowing users to easily find what they are looking for.",
                autocomplete_row_2: "Try typing \"adv\" to see \"Advokater\" among others.",
                taxonomy: "Taxonomy",
                taxonomy_description: "Taxonomy description",
                taxonomy_item_definition: "Definition",
                taxonomy_item_skills: "Skills connected to occupation",
                taxonomy_item_substitutes: "Related occupations",
                taxonomy_item_keyword_substitues: "Occupations related to the keyword",
                taxonomy_item_keywords: "Keywords",
                taxonomy_item_job_titles: "Job titles",
                taxonomy_item_related_occupations: "Related occupations",
                taxonomy_item_skill_relations: "Occupation groups connected to skill",
                taxonomy_item_skill_collections: "Belongs to skill collection",
                taxonomy_feedback_content: "Suggest content",
                taxonomy_feedback_suggestion: "We would like your feedback on\nJobTech Atlas",
                taxonomy_contact_forum: "Visit our forum",
                taxonomy_contact_email: "Contact us by mail",
                ssyk_code: "SSYK-code",
                isco_code: "ISCO-code",
                occupations_ssyk: "Occupations (SSYK)",
                occupations_isco: "Occupations (ISCO)",
                skills: "Skills",
                generic_skills: "Generic skills",
                occupation_structure: "Occupation structure",
                occupation_groups: "Occupation groups",
                occupation_only: "Only occupations",
                occupation_fields: "Occupation fields",
                occupation_group: "Occupation group",
                occupation_field: "Occupation field",
                concept: "Concept",
                concept_info: "Information about the concept",
                concept_type: "Type of concept",
                occupation_description: "Occupation descriptions",
                description: "Description",
                autocomplete_placeholder: "Search the entire taxonomy...",
                autocomplete_placeholder_version: "Search in version",
                feedback_work_form_name_suggestion: "Occupation suggestion",
                feedback_work_form_task_suggestion: "Tasks relevant for the occupation?",
                feedback_work_form_skill_suggestion: "Required education and/or skill",
                feedback_work_form_group_suggestion: "Suggested SSYK-group to connect the occupation to",
                feedback_skill_form_name_suggestion: "Skill-name suggestion",
                feedback_skill_form_desc_suggestion: "Short description about the skill",
                feedback_skill_form_headline_suggestion: "Suggested skill-headline to connect the new skill to",
                feedback_other_text: "Describe your suggestion",
                feedback_other: "Other",
                feedback_occupation: "Occupation",
                feedback_skill: "Skill",
                feedback_something_else: "Other",
                show: "Show",
                link: "Link",
                send: "Send",
                loading: "Loading",
                explore: "Explore",
                versions: "Versions",
                version: "Version",
                export: "Export",
                about: "About",
                saving: "Saving",
                yes: "Yes",
                no: "No",
                goto: "Would you like to proceed to",
                exporting: "Exporting",
                other: "Other",
                geography: "Geography",
                industry: "Industry",
                education: "Utbildning",
                something_else: "Other",
                type: "Type",
                action: "Action",
                name: "Name",
                date: "Date",
                changes: "Changes",
                filter: "Filter",
                show_info: "Show info",
                relation_type: "Relation type",
                relation: "Relation",
                close: "Close",
                id: "Id",
                definition: "Definition",
                occupation_definition: "Definition for SSYK-level-4",
                preferredLabel: "Name",
                alternativeLabels: "Alternative names",
                from: "From",
                from_id: "From Id",
                from_type: "From type",
                to: "To",
                to_id: "To Id",
                to_type: "To type",
                action_type: "Type of action",
                concept_reactivated: "Re-activated",
                version_info_title: "Information about change",
                high_substitutability: "High substitutability",
                low_substitutability: "Low substitutability",
                alt_arbetsformedlingen: "Visit Arbetsförmedlingens homepage",
                alt_jobtech_facebook: "Visit Jobtechs Facebook",
                alt_jobtech_twitter: "Visit Jobtechs Twitter",
                alt_jobtech_linkedin: "Visit Jobtechs LinkedIn",
                alt_homepage: "Go to homepage",
                alt_feedback: "Open feedback form",
                alt_gitlab: "Visit JobTech Atlas Gitlab",
                language: "Language (interface)",
                sub_title: "Common language for the job-market",
                links: "Links",
                more_info: "Show more info",
                belongs_to_occupation: "Belongs to SSYK-level-4",
                more_relations: "Relations",
                landingpage: "Landing page",
                about: "About",
                about_content: "JobTech Atlas aims to reflect the common language for the job-market and to make it easier to connect an applicant to an opportunity.\n\nAside from a few standards there are also a large collection of search-terms and connections between occupations.",
                relation_info_related: "Related occupations, describes the closeness between two occupations. Relations can be either high(75) or low(25).\n\nThe two levels are:\n\n-High(or 75%): very closely related with high similarity between tasks\n\n-Lower(or 25%): some of the tasks are similar and/or a form of education might be needed to be able to perform the required tasks",
            }
        }
        // find active language
        this.code = this.setLanguage();
    }
	
    setLanguage() {
        var lang = navigator.language || navigator.userLanguage;
        var langSimple = lang.split("-")[0];
        var key = null;
        console.log("local language: " + lang);
        if(Constants.lang) {
            console.log("override language: " + Constants.lang);
            lang = Constants.lang;
        } else {
            var prefLang = localStorage.getItem("taxonomy_lang");
            if(prefLang != null) {
                lang = prefLang;
            }
        }
        if(this.resources[lang] != null) {
            key = lang;
        } else if(this.resources[langSimple] != null) {
            key = langSimple;
        }
        if(key != null) {
            console.log("selecting localization: " + key);
            this.lang = this.resources[key];
            this.key = key;
        } else {
            console.log("localization not found: '" + key + "' defaulting to english");
            this.lang = this.resources["en"];
            this.key = "en";
        }
        return lang;
    }

    changeLanguage(code) {
        var key = null;
        if(this.resources[code] != null) {
            key = code;
        }
        if(key != null) {
            console.log("changing localization: " + key);
            this.lang = this.resources[key];
            this.code = "sv-SE";
            this.key = key;
        } else {
            console.log("localization not found: '" + key + "' defaulting to english");
            this.lang = this.resources["en"];
            this.code = "en-GB";
            this.key = "en";
        }
        localStorage.setItem("taxonomy_lang", this.key);
    }

    get(key) {
        if(this.lang[key] == null) {
            var en = this.resources["en"];
            if(en == null || en[key] == null) {
                return key;
            }
            return en[key];
        }
        return this.lang[key];
    }

    getUpper(key) {
        return this.lang[key].toUpperCase();
    }
    
    getLower(key) {
        return this.lang[key].toLowerCase();
    }
}

export default new Localization;